LLMNRD(8)

NAME
llmnrd - LLMNR (RFC 4795) responder daemon

SYNOPSIS
llmnrd [options]

DESCRIPTION
llmnrd is a user space daemon implementing the Link-Local Multicast Name Resolution (LLMNR) protocol according to RFC 4795. It will respond to name resolution queries sent by Windows clients in networks where no DNS server is available. Both IPv4 and IPv6 are supported.

OPTIONS

-H <name>, --hostname <name>
    Manually set hostname to respond with. By default the system hostname is used.

-i <dev>, --interface <dev>
    Bind socket to a specific interface, e.g. eth0, wlan0.

-p <num>, --port <num>
    Set port number to listen on. By default the port 5355 as specified in RFC 4795 is used.

-6, --ipv6
    Enable LLMNR name resolution over IPv6.

-d, --daemonize
    Run llmnrd as daemon in the background.

-h, --help
    Show usage information.

-V, --version
    Show llmnrd version.

SEE ALSO
llmnr-query(1)

AUTHOR
Tobias Klauser <tklauser@distanz.ch>